%global modulename ahab

Name: python-%{modulename}
Version: 1.0.0
Release: 1%{?dist}
Summary: Docker event handling with Python

License: ISCL
URL: https://pypi.python.org/pypi/%{modulename}
Source0: https://github.com/instacart/ahab/archive/%{version}.tar.gz

BuildArch: noarch

%global _description \
Ahab listens to docker events and runs python code when some events occur.

%description %{_description}

%package -n python2-%{modulename}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modulename}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pytest
Requires:       python-argh
Requires:       python-docker-py
Requires:       python2-magiclog
BuildRequires:  python-argh
BuildRequires:  python-docker-py
BuildRequires:  python2-magiclog

%description -n python2-%{modulename} %{_description}

Python 2 version.

%package -n python3-%{modulename}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modulename}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
Requires:       python3-argh
Requires:       python3-docker-py
Requires:       python3-magiclog
BuildRequires:  python3-argh
BuildRequires:  python3-docker-py
BuildRequires:  python3-magiclog

%description -n python3-%{modulename} %{_description}

Python 3 version.

%prep
%autosetup -n %{modulename}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{modulename}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{modulename}-*-py%{python2_version}.egg-info/
%{python2_sitelib}/%{modulename}/*.py*

%files -n python3-%{modulename}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{modulename}-*-py%{python3_version}.egg-info/
%{python3_sitelib}/%{modulename}/*.py

%changelog
* Sat Aug 06 2016 Vadim Rutkovsky <vrutkovs@redhat.com> - 1.0.0-1
- Initial package
